<?php
namespace OrganizationsManagement\Factory;

use Teknisa\Model\Teknisa\Entities\OmServicoNotifProduto as EntityOmServicoNotifProduto;
use Teknisa\Libs\Util\Environment as TeknisaEnvironment;

class NotificationParametersProd{
    
    public function save(EntityOmServicoNotifProduto $omNotificationParametersProd = null, $idativo, $currentOrganizationId, $currentUserId, $dateNow, $nrserviconotif_id, $nrproduto_id)
    {
        if ($omNotificationParametersProd === null) {
            $omNotificationParametersProd =  new EntityOmServicoNotifProduto();
            $omNotificationParametersProd->setCdoperinclusao($currentUserId);
            $omNotificationParametersProd->setNrorginclusao($currentOrganizationId);
            $omNotificationParametersProd->setDtinclusao($dateNow);
        }
        
        $omNotificationParametersProd->setNrorg($currentOrganizationId);
        $omNotificationParametersProd->setNrorgultatu($currentOrganizationId);
        $omNotificationParametersProd->setIdativo($idativo);
        $omNotificationParametersProd->setCdoperultatu($currentUserId);
        $omNotificationParametersProd->setDtultatu($dateNow);
        $omNotificationParametersProd->setNrserviconotifId($nrserviconotif_id);
        $omNotificationParametersProd->setNrprodutoId($nrproduto_id);
        
        return $omNotificationParametersProd;
    }
}